Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Packet12PlayerLook

    java.lang.Object
      net.minecraft.src.Packet
          net.minecraft.src.Packet10Flying
              net.minecraft.src.Packet12PlayerLook

    public class Packet12PlayerLook

extends Packet10Flying

Field Summary

Fields inherited from class net.minecraft.src.Packet10Flying
`moving, onGround, pitch, rotating, stance, xPosition, yaw, yPosition, zPosition`

Fields inherited from class net.minecraft.src.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet12PlayerLook()`
`Packet12PlayerLook(float par1, float par2, boolean par3)`

Method Summary
`int` | `getPacketSize()` Abstract.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.src.Packet10Flying
`containsSameEntityIDAs, isRealPacket, processPacket`

Methods inherited from class net.minecraft.src.Packet
`getNewPacket, getPacketId, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Packet12PlayerLook

    public Packet12PlayerLook()

### Packet12PlayerLook

    public Packet12PlayerLook(float par1,
                              float par2,
                              boolean par3)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Overrides:
    `readPacketData` in class `Packet10Flying`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Overrides:
    `writePacketData` in class `Packet10Flying`
  Throws:
    `IOException`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Overrides:
    `getPacketSize` in class `Packet10Flying`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD